Index: trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisfsnw.php	(revision 123)
+++ trunk/var/www/info/alkis/alkisfsnw.php	(revision 128)
@@ -10,4 +10,5 @@
 	26.07.2011  debug, SQL nur im Test-Modus anzeigen.
 	02.11.2011  6.+7. Parameter fuer function eigentuemer()
+	16.11.2011  Neuer Style class='dbg', Link Historie
 	
 	ToDo:
@@ -61,5 +62,5 @@
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
-if ($debug > 1) {echo "<p class='err'>DB=".$dbname.", user=".$dbuser."</p>";}
+if ($debug > 1) {echo "<p class='dbg'>DB=".$dbname.", user=".$dbuser."</p>";}
 
 // F L U R S T U E C K
@@ -75,5 +76,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Flurstuecksdaten</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 if ($row = pg_fetch_array($res)) {
@@ -92,5 +93,5 @@
 } else {
 	echo "<p class='err'>Fehler! Kein Treffer fuer gml_id=".$gmlid."</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 // Balken
@@ -144,5 +145,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Gemeinde</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $row = pg_fetch_array($res);
@@ -152,5 +153,17 @@
 	echo "<span class='key'>(".$gemeinde.")</span> ";
 }
-echo $gnam."</td><td>&nbsp;</td></tr>";
+echo $gnam."</td><td>";
+
+	// Link zur FlurstÃŒcks-Historie (passt nicht ganz in die Zeile "Gemeinde", aber gut unter "weitere Auskunft")
+	echo "\n<p class='nwlink noprint'>";
+		echo "\n\t<a href='alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
+				if ($idanzeige) {echo "&amp;id=j";}
+				if ($showkey)   {echo "&amp;showkey=j";}
+			echo "' title='Vorg&auml;nger-Flurst&uuml;cke'>Historie ";
+			echo "<img src='ico/Flurstueck_Historisch.ico' width='16' height='16' alt=''>";
+		echo "</a>";
+	echo "\n</p>";
+
+echo "</td></tr>";
 
 // K r e i s
@@ -162,5 +175,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Kreis</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $row = pg_fetch_array($res);
@@ -179,5 +192,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Regierungsbezirk</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $row = pg_fetch_array($res);
@@ -215,5 +228,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Lagebezeichnung mit Hausnummer</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $j=0;
@@ -262,5 +275,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer</p>";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."</p>";}
 }
 $j=0;
@@ -323,5 +336,5 @@
 if (!$res) {
 	echo "<p class='err'>Fehler bei Suche tats. Nutzung</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 $j=0;
@@ -484,5 +497,5 @@
 if (!$ress) {
 	echo "\n<p class='err'>Keine Buchungsstelle.</p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
+	if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
 $bs=0; // Z.Buchungsstelle
@@ -506,5 +519,5 @@
 	if (!$resg) {
 		echo "\n<p class='err'>Kein Buchungsblatt.</p>\n";
-		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
 	}
 	$bl=0; // Z.Blatt
@@ -628,5 +641,5 @@
 	if (!$resan) {
 		echo "\n<p class='err'>Keine weiteren Buchungsstellen.</p>\n";
-		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmls."'</p>";}
 	}
 	$an=0; // Stelle an Stelle
